%global momorel 3

Name:           supertuxkart
Version:        0.5
Release:        %{momorel}m%{?dist}
Summary:        Kids 3D go-kart racing game featuring Tux
Group:          Amusements/Games
License:        GPL
URL:            http://supertuxkart.berlios.de/
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource:       0
Source1:        %{name}-alt-images.tar.gz
Source2:        %{name}-images-legal.txt
Source3:        %{name}.6
Patch0:         supertuxkart-fhs.patch
Patch1:         supertuxkart-0.5-desktop.patch
Patch2:         supertuxkart-0.5-default-fs.patch
Patch3:         supertuxkart-0.3-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	SDL-devel 
BuildRequires:	desktop-file-utils
BuildRequires:	freealut-devel 
BuildRequires:  libvorbis-devel 
BuildRequires:	mikmod
BuildRequires:  plib 
Requires:	opengl-games-utils

%description
3D go-kart racing game for kids with several famous OpenSource mascots
participating. Race as Tux against 3 computer players in many different fun
race courses (Standard race track, Dessert, Mathclass, etc). Full information
on how to add your own race courses is included. During the race you can pick
up powerups such as: (homing) missiles, magnets and portable zippers.

%prep
%setup -q
%patch0 -p1 -z .fhs
%patch1 -p1 -z .desktop
%patch2 -p1 -z .fs
tar xfz %{SOURCE1}
cp %{SOURCE2} .
chmod -x AUTHORS COPYING ChangeLog README TODO src/robots/default_robot.* \
  src/sdldrv.cpp
# stop automake from rerunning because of our patches above
touch src/Makefile.in

%patch3 -p1 -b .gcc43~

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} transform='s,x,x,'
# easier then patching all the Makefile's
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_prefix}/games/%{name} %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/games/%{name} %{buildroot}%{_datadir}

ln -s opengl-game-wrapper.sh %{buildroot}%{_bindir}/%{name}-wrapper

# below is the desktop file and icon stuff.
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
mv %{buildroot}%{_datadir}/pixmaps/%{name}_32.xpm \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
mv %{buildroot}%{_datadir}/pixmaps/%{name}_64.xpm \
  %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.xpm

# add the manpage (courtesy of Debian)
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man6

# remove the installed docs (we include them through %doc)
rm -r %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO %{name}-images-legal.txt doc/players_manual
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.xpm

%changelog
* Thu Oct  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-3m)
- [BUG FIX] fix up supertuxkart.desktop

* Sun Jun 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-2m)
- add Requires: opengl-games-utils

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-1m)
- update to 0.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Aug 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3-1m)
- import from Fedora

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3-1
- New upstream release 0.3
- Drop most patches (all fixed upstream)
- Update License tag for new Licensing Guidelines compliance

* Fri Oct  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-3
- replace some more coprighted images and sounds
- fix a bunch of joystick related bugs

* Mon Sep 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-2
- rename images-legal.txt to supertuxkart-images-legal.txt
- add a changelog entry for the previous release (and this one)

* Mon Sep 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-1
- initial Fedora Extras package (replacing regular tuxkart)
